#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <string.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "main.h"
#include "phoneComms.h"
#include "sound.h"
#include "db.h"
#include "calllist.h"
#include "smslist.h"
#include "smscompose.h"

void on_MissedItem_activate(GtkMenuItem * menuitem, gpointer user_data)
{
	calllist_open(PAGE_MISSED);

}				//on_MissedItem_activate


void on_CallHistoryItem_activate(GtkMenuItem * menuitem,
				 gpointer user_data)
{
	calllist_open(PAGE_OUTGOING);
}				//on_CallHistoryItem_activate


void on_QuitItem_activate(GtkMenuItem * menuitem, gpointer user_data)
{
	gtk_main_quit();
}				//on_QuitItem_activate


void on_SendItem_activate(GtkMenuItem * menuitem, gpointer user_data)
{
	smscompose_open("Inbox");
}				//on_SendItem_activate


gboolean on_MainWindow_delete_event(GtkWidget * widget, GdkEvent * event,
				    gpointer user_data)
{
	gtk_main_quit();
	return TRUE;
}				//on_MainWindow_delete_event


void on_SMSListItem_activate(GtkMenuItem * menuitem, gpointer user_data)
{
	smslist_open("INBOX");
}				//on_SMSListItem_activate


void on_DialEntry_changed(GtkEditable * editable, gpointer user_data)
{
	gboolean dialable =
	    *(gtk_entry_get_text(GTK_ENTRY(editable))) != 0;
	set_buttons();
	gtk_widget_set_sensitive(BackspaceButton, dialable);
}				//on_DialEntry_changed


void on_HangupIgnoreButton_clicked(GtkButton * button, gpointer user_data)
{
	hangupignore_button_pressed();
	if (phoneState == psRinging)
		StopRinging(FALSE);
	else
		EndCall();
}				//on_HangupIgnoreButton_clicked


void on_DialAnswerButton_clicked(GtkButton * button, gpointer user_data)
{
	dialanswer_button_pressed();
}


void buttonPress(const char *digit)
{
	gint position = -1;
	char cmdString[16];

	gtk_editable_insert_text(GTK_EDITABLE(DialEntry), digit, 1, &position);
	gtk_editable_set_position(GTK_EDITABLE(DialEntry), -1);
	if (phoneState == psOnline) {
		sprintf(cmdString, "AT+VTS=%s", digit);
		phoneGetOK(cmdString, TRUE);
	} else {
		display_set_name(NULL);	
	}
}


void on_DigitButton1_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("1");
}				//on_DigitButton1_clicked


void on_DigitButton2_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("2");
}				//on_DigitButton2_clicked


void on_DigitButton3_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("3");
}				//on_DigitButton3_clicked


void on_DigitButton4_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("4");
}				//on_DigitButton4_clicked


void on_DigitButton5_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("5");
}				//on_DigitButton5_clicked


void on_DigitButton6_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("6");
}				//on_DigitButton6_clicked


void on_DigitButton7_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("7");
}				//on_DigitButton7_clicked


void on_DigitButton8_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("8");
}				//on_DigitButton8_clicked


void on_DigitButton9_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("9");
}				//on_DigitButton9_clicked


void on_StarButton_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("*");
}				//on_StarButton_clicked


void on_DigitButton0_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("0");
}				//on_DigitButton0_clicked


void on_HashButton_clicked(GtkButton * button, gpointer user_data)
{
	buttonPress("#");
}				//on_HashButton_clicked


void on_BackspaceButton_clicked(GtkButton * button, gpointer user_data)
{
	gint position;

	if ((position = gtk_editable_get_position(GTK_EDITABLE(DialEntry))) < 1)
		return;
	gtk_editable_delete_text(GTK_EDITABLE(DialEntry), position - 1, position);
	if (phoneState != psOnline) 
		display_set_name(NULL);	
}				//on_BackspaceButton_clicked

void on_configure_activate(GtkMenuItem * menuitem, gpointer user_data)
{
	gtk_widget_show(create_config());

}


void on_showversion_activate(GtkMenuItem * menuitem, gpointer user_data)
{
	showversion();
}


void on_button1_clicked(GtkButton * button, gpointer user_data)
{
	calldebug();
}


void on_button2_clicked(GtkButton * button, gpointer user_data)
{
	calldebug();
}


void
on_checkbutton1_toggled(GtkToggleButton * togglebutton, gpointer user_data)
{
	calldebug();
}


void
on_checkbutton2_toggled(GtkToggleButton * togglebutton, gpointer user_data)
{
	calldebug();
}


void
on_checkbutton3_toggled(GtkToggleButton * togglebutton, gpointer user_data)
{
	calldebug();
}
