#ifndef CONFIG_H_
#define CONFIG_H_

typedef enum
{
	M_WAVECOM,
	M_OTHER,
	M_HIMALAYA,
    M_CELLON
}
t_phonemodule;

typedef struct 
{
	char		*cpu;			// cpu info
	char		*model;			// device model name
	t_phonemodule	moduleType;	// type of the phone module in device
	/* 
	 * wait_ack_before_sending_sms_pdu is true, 
	 * smd pdu part is send only after receiving ack from the gsm module.
	 * Some modules requires this to be true and some other models (wavecom for example in iPAQ h6300) 
	 * requires this to be false.
	 */
	gboolean	wait_ack_before_sending_sms_pdu;
	/**
	 * Package at commands to frames.
	 * 0x02, 0x16 before command and 0x16, 0x02 after.
	 */
	gboolean	at_cmds_in_frames;
	char		*smsStoreATCmd;
	char 		*devName;
	char		*initATCmd;
}
t_config_options;

extern t_config_options read_configuration_options();

#endif /*CONFIG_H_*/
