#include <time.h>

#define CALL_LIST_UNKNOWN		0
#define CALL_LIST_INCOMING		1
#define CALL_LIST_MISSED		2
#define CALL_LIST_REJECTED		4
#define CALL_LIST_MISSED_REJECTED	6
#define CALL_LIST_OUTGOING		16

#define SMS_STATUS_UNKNOWN	0
#define SMS_STATUS_UNREAD	2
#define SMS_STATUS_READ		3
#define SMS_STATUS_OUTGOING	11
#define SMS_STATUS_SENT		12
#define SMS_STATUS_DRAFT	21

struct call_entry {
	char *number;
	time_t time;
	int duration;
	int seen;
};

struct sms_entry {
	char *pdu_data;
	time_t time;
	int seen;
};

int db_open(void);
void db_close(void);
int db_call_new(char *number, int list);
int db_call_update_list_time(int callid, int list);
int db_call_update_list_duration(int callid, int list);
int db_call_update_duration(int callid);
int db_call_update_number(int callid, char *number);
GSList * db_call_query(int list);
void db_call_entry_free(struct call_entry *e);
GSList * db_sms_query(char *folder);
void db_sms_entry_free(struct sms_entry *e);
char * db_lookup_number(const char *number);
int db_sms_new(char *folder, char *pdu_data);
