#ifndef PHONECOMMS_H
#define PHONECOMMS_H

typedef enum {psPIN, psIdle, psRinging, psOnline} TPhoneState;
typedef enum {psUnknown, psReady, psNeedSIM_PIN} TPhoneSecurity;
extern TPhoneState phoneState;
extern TPhoneSecurity phoneSecurity;

gboolean openPhone(void);
gboolean sendInitString(void);
gboolean phoneGetOK(const char *query, gboolean waitForRead);
gboolean phoneGetOK_slow(const char *query, gboolean waitForRead);
gboolean phoneGetSecurity(void);
gboolean sendPIN(const gchar *PINString);
gboolean phoneGetBattery(void);
void tryReadPhone(int timeout);
void ReadPhoneStartGarbage(int timeout);
char *scanPhoneBuffer(const char *key, int start);
void answerPhone(void);
void hangupPhone(void);
gboolean makeCall(char *dialString);
void closePhone(void);
gboolean sendSetEquipmentState(int fun);
gint getFUN(void);
gboolean sendFUN(int fun);
gint getCOPS(void);
gboolean setCOPS(int cops);
void phone_io_setup(void);


#endif //ndef PHONECOMMS_H
